# Please rebuild perl-XML-LibXSLT  when you update this library to a new version

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define xml_version_required 2.9.10

%define major       1
%define libname     %mklibname xslt %{major}

%define exslt_major 0
%define exslt_lib   %mklibname exslt %{exslt_major}

%define develname   %mklibname xslt -d

# now ported to python3
%bcond_without python

# exclude python module .so from provides
%global __provides_exclude_from ^%{python3_sitearch}/.*\\.so

Name:           libxslt
Version:        1.1.43
Release:        %mkrel 2
Summary:        Library providing XSLT support
License:        MIT
Group:          System/Libraries
URL:            https://gitlab.gnome.org/GNOME/libxslt
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(libxml-2.0) >= %{xml_version_required}
BuildRequires:  pkgconfig(libgcrypt)

%if %{with python}
BuildRequires:  python3
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-libxml2 >= %{xml_version_required}
%endif

Requires:       libxml2 >= %{xml_version_required}

%description
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

%package -n     xsltproc
Summary:        XSLT processor using libxslt
Group:          System/Libraries
Provides:       libxslt-proc = %{version}-%{release}
Requires:       docbook-style-xsl

%description -n xsltproc
This package provides an XSLT processor based on the libxslt C library.
It allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

%package -n     %{libname}
Summary:        Library providing XSLT support
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

%package -n     %{exslt_lib}
Summary:        Extension library for XSLT
Group:          System/Libraries

%description -n %{exslt_lib}
The libexslt library is used to provide extensions to XSLT functions. These
extensions come from the EXSLT project.

%if %{with python}
%package -n     python3-%{name}
Summary:        Python bindings for the libxslt library
Group:          Development/Python
Requires:       %{libname} = %{version}-%{release}
Requires:       python3-libxml2 >= %{xml_version_required}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
This package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxslt library to apply XSLT transformations.

This library allows to parse stylesheets, uses the libxml2-python
to load and save XML and HTML files. Direct access to XPath and
the XSLT transformation context are possible to extend the XSLT language
with XPath functions written in Python.
%endif

%package -n     %{develname}
Summary:        Libraries, includes, etc. to develop XML and HTML applications
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{exslt_lib} = %{version}-%{release}
Requires:       libxml2-devel >= %{xml_version_required}

%description -n %{develname}
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

%prep
%autosetup -p1

mkdir -p python/examples
install -Dpm644 python/tests/*.{py,xml,xsl} python/examples

%build
%configure --disable-static %{?with_python:--with-python}%{!?with_python:--without-python}
%make_build

%install
%make_install

%check
make tests

%files -n xsltproc
%doc AUTHORS README.md
%{_bindir}/xsltproc
%{_mandir}/man1/*

%files -n %{libname}
%doc AUTHORS NEWS README.md FEATURES TODO
%license Copyright
%{_libdir}/libxslt.so.%{major}{,.*}

%files -n %{exslt_lib}
%license Copyright
%{_libdir}/libexslt.so.%{exslt_major}{,.*}

%if %{with python}
%files -n python3-%{name}
%doc AUTHORS README.md FEATURES python/examples python/libxsltclass.txt
%license Copyright
%{python3_sitearch}/*.so
%{python3_sitelib}/*.py*
%{python3_sitelib}/__pycache__/*.py*
%endif

%files -n %{develname}
#doc doc/*.html doc/tutorial doc/html
%doc %{_datadir}/doc/%{name}
%doc %{_datadir}/gtk-doc/html/libxslt/
%doc %{_datadir}/gtk-doc/html/libexslt/
%{_libdir}/libxslt.so
%{_libdir}/libexslt.so
%{_libdir}/*.sh
%{_includedir}/libxslt/
%{_includedir}/libexslt/
%{_bindir}/xslt-config
%{_libdir}/cmake/libxslt/
%{_libdir}/pkgconfig/libxslt.pc
%{_libdir}/pkgconfig/libexslt.pc
#{_datadir}/aclocal/*
%{_mandir}/man3/libxslt.3*
%{_mandir}/man3/libexslt.3*


%changelog
* Sun Mar 16 2025 wally <wally> 1.1.43-2.mga10
+ Revision: 2164928
- rebuild for libxml2 2.13.6

* Thu Mar 13 2025 daviddavid <daviddavid> 1.1.43-1.mga10
+ Revision: 2163192
- new version 1.1.43

* Tue Mar 04 2025 wally <wally> 1.1.42-2.mga10
+ Revision: 2160361
- rebuild for python3.13

* Fri Jul 05 2024 daviddavid <daviddavid> 1.1.42-1.mga10
+ Revision: 2080006
- new version: 1.1.42

* Tue Jun 25 2024 daviddavid <daviddavid> 1.1.41-2.mga10
+ Revision: 2076666
- backport upstream patch to fix plugin error (mga#33309)

* Wed Jun 19 2024 daviddavid <daviddavid> 1.1.41-1.mga10
+ Revision: 2075534
- new version 1.1.41

* Thu Jun 13 2024 daviddavid <daviddavid> 1.1.40-1.mga10
+ Revision: 2073041
- new version 1.1.40

* Sat Apr 06 2024 wally <wally> 1.1.39-3.mga10
+ Revision: 2055189
- basesystem rebuild for i686

* Tue Dec 19 2023 papoteur <papoteur> 1.1.39-2.mga10
+ Revision: 2019504
- Mass Rebuild - Python 3.12

* Mon Nov 27 2023 daviddavid <daviddavid> 1.1.39-1.mga10
+ Revision: 2010203
- new version: 1.1.39

* Thu May 11 2023 luigiwalser <luigiwalser> 1.1.38-1.mga9
+ Revision: 1956583
- 1.1.38
+ wally <wally>
- fix python build conditionals
- filter out python module .so from provides

* Wed Aug 31 2022 luigiwalser <luigiwalser> 1.1.37-2.mga9
+ Revision: 1883102
- 1.1.37

* Sat Mar 19 2022 umeabot <umeabot> 1.1.35-2.mga9
+ Revision: 1799399
- Mageia 9 Mass Rebuild

* Fri Mar 11 2022 danf <danf> 1.1.35-1.mga9
+ Revision: 1790331
- Update to ver. 1.1.35
- update URLs
- enable Python module, which now works in python3

* Tue Feb 18 2020 umeabot <umeabot> 1.1.34-2.mga8
+ Revision: 1539629
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 09 2019 shlomif <shlomif> 1.1.34-1.mga8
+ Revision: 1465476
- New version 1.1.34

* Sun Nov 17 2019 wally <wally> 1.1.33-5.mga8
+ Revision: 1461532
- split out libexslt

* Sun Nov 17 2019 zezinho <zezinho> 1.1.33-4.mga8
+ Revision: 1461431
- add a missing provides according to mageia policy

* Fri Nov 01 2019 mrambo3501 <mrambo3501> 1.1.33-3.mga8
+ Revision: 1457274
- add upstream patches which fix CVE-2019-1311[78] and CVE-2019-18197 (mga#25643)

* Mon Sep 16 2019 wally <wally> 1.1.33-2.mga8
+ Revision: 1442328
- drop python2 support
- drop multiarch support

* Thu Apr 25 2019 shlomif <shlomif> 1.1.33-2.mga7
+ Revision: 1395258
- add patch to fix CVE-2019-11068 (mga#24705)

* Mon Jan 14 2019 luigiwalser <luigiwalser> 1.1.33-1.mga7
+ Revision: 1356220
- 1.1.33

* Sun Sep 23 2018 umeabot <umeabot> 1.1.32-2.mga7
+ Revision: 1299272
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 shlomif <shlomif> 1.1.32-1.mga7
+ Revision: 1221247
- New version 1.1.32

* Mon Oct 02 2017 daviddavid <daviddavid> 1.1.30-2.mga7
+ Revision: 1162479
- add upstream patch to fix pkg-config related regressions in configure script
- rename python-libxslt to python2-libxslt

* Mon Sep 25 2017 joequant <joequant> 1.1.30-1.mga7
+ Revision: 1159843
- fix xslt

* Fri May 26 2017 neoclust <neoclust> 1.1.29-6.mga6
+ Revision: 1104779
- Add P2 - Fixes CVE-2015-9019 (mga#20921)

* Mon May 01 2017 neoclust <neoclust> 1.1.29-5.mga6
+ Revision: 1098195
- Add P1 - Fixes CVE-2017-5029 (mga#20760)

* Mon Jan 30 2017 tv <tv> 1.1.29-4.mga6
+ Revision: 1084255
- emergency readd provides: libxslt-proc (too much breakage)

* Mon Jan 30 2017 wally <wally> 1.1.29-3.mga6
+ Revision: 1084242
- xsltproc: require docbook-style-xsl and drop ancient obsoletes/provides

* Tue Nov 15 2016 neoclust <neoclust> 1.1.29-2.mga6
+ Revision: 1067446
- Fix release on cauldron ( do not use subrel )

* Tue Nov 15 2016 neoclust <neoclust> 1.1.29-1.1.mga6
+ Revision: 1067445
- Add P0 to fix CVE-2016-4738

* Sun May 29 2016 cjw <cjw> 1.1.29-1.mga6
+ Revision: 1019289
- 1.1.29
- drop patch0, fixed upstream
- list major library versions in files section

* Mon Feb 15 2016 umeabot <umeabot> 1.1.28-11.mga6
+ Revision: 961242
- Mageia 6 Mass Rebuild

* Wed Oct 28 2015 luigiwalser <luigiwalser> 1.1.28-10.mga6
+ Revision: 896060
- add patch from redhat to fix CVE-2015-7995

* Thu Sep 10 2015 fwang <fwang> 1.1.28-9.mga6
+ Revision: 875371
- rebuild for new libgcrypt

* Wed Oct 15 2014 umeabot <umeabot> 1.1.28-8.mga5
+ Revision: 739423
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.28-7.mga5
+ Revision: 726937
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.28-6.mga5
+ Revision: 681900
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.1.28-5.mga5
+ Revision: 628316
- Rebuild for new Python

* Mon Oct 21 2013 umeabot <umeabot> 1.1.28-4.mga4
+ Revision: 540835
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 luigiwalser <luigiwalser> 1.1.28-3.mga4
+ Revision: 494377
- include pyc and pyo files in python subpackage files list

* Sat Jan 12 2013 umeabot <umeabot> 1.1.28-2.mga3
+ Revision: 358632
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 shlomif <shlomif> 1.1.28-1.mga3
+ Revision: 321976
- New version 1.1.28

* Mon Nov 19 2012 shlomif <shlomif> 1.1.27-3.mga3
+ Revision: 319636
- New release
- Remove trailing space
- New patch for gnome #684564

* Wed Sep 19 2012 oden <oden> 1.1.27-2.mga3
+ Revision: 296183
- require libxml2 2.9.0 because it's unknown how the mageia build system works... (is this good enough to describe it?)
- rebuild

* Wed Sep 19 2012 oden <oden> 1.1.27-1.mga3
+ Revision: 296149
- 1.1.27
- dropped all security patches, applied upstream
- added autogen.sh as it was missing
- dropped "snap" as this is stable

* Fri Sep 14 2012 luigiwalser <luigiwalser> 1.1.26-8.20120127.1.mga3
+ Revision: 293980
- add patches from RedHat to fix CVE-2012-2870 and CVE-2012-2871

* Wed Jul 18 2012 luigiwalser <luigiwalser> 1.1.26-7.20120127.1.mga3
+ Revision: 272098
- add patch from Google to fix CVE-2012-2825

* Sun Mar 04 2012 fwang <fwang> 1.1.26-6.20120127.1.mga3
+ Revision: 217766
- update to latest upstrem snapshot to avoid future security patches

* Tue Oct 11 2011 fwang <fwang> 1.1.26-6.mga2
+ Revision: 153776
- drop .la files

* Tue Jan 18 2011 pterjan <pterjan> 1.1.26-5.mga1
+ Revision: 21791
- Rebuild for python 2.7

* Sun Jan 09 2011 blino <blino> 1.1.26-4.mga1
+ Revision: 1529
- remove old ldconfig scriptlets
- imported package libxslt


* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 1.1.26-3mdv2011.0
+ Revision: 590768
- rebuild for py2.7

* Sat Jan 02 2010 Funda Wang <fwang@mandriva.org> 1.1.26-2mdv2010.1
+ Revision: 484981
- use autoreconf --force to regenerate libtool

* Mon Oct 12 2009 Frederic Crozat <fcrozat@mandriva.com> 1.1.26-1mdv2010.0
+ Revision: 456838
- Release 1.1.26
- Remove patches 0 and 2 (merged upstream)

* Mon Sep 21 2009 David Walluck <walluck@mandriva.org> 1.1.25-3mdv2010.0
+ Revision: 446548
- add patch to revert xsltProcessOneNode static change to fix python-lxml

* Sat Sep 19 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.1.25-2mdv2010.0
+ Revision: 444649
- add patch to revert problematic threading changes, unbreak KDE4 build
  see GNOME bug #595612

* Thu Sep 17 2009 Frederic Crozat <fcrozat@mandriva.com> 1.1.25-1mdv2010.0
+ Revision: 444057
- Release 1.2.25
- Remove patch0 (merged upstream)
- Redo patch1 and push it upstream

* Thu Jul 16 2009 Helio Chissini de Castro <helio@mandriva.com> 1.1.24-8mdv2010.0
+ Revision: 396528
- Make proper name for xsltproc

* Mon Jan 26 2009 Funda Wang <fwang@mandriva.org> 1.1.24-7mdv2009.1
+ Revision: 333686
- re-enable undefined linking
- fix linkage of python module

* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.24-5mdv2009.1
+ Revision: 319568
- rebuild with python 2.6

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.24-4mdv2009.1
+ Revision: 315645
- rebuild

* Mon Aug 04 2008 Frederic Crozat <fcrozat@mandriva.com> 1.1.24-3mdv2009.0
+ Revision: 263348
- Patch0 (SVN): fix CVE 2008-2935

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 22 2008 Frederik Himpe <fhimpe@mandriva.org> 1.1.24-2mdv2009.0
+ Revision: 210088
- New version (fixes CVE-2008-1767)
- Define _disable_ld_no_undefined, otherwise it does not link correctly

* Fri May 09 2008 Olivier Blin <oblin@mandriva.com> 1.1.23-2mdv2009.0
+ Revision: 204810
- remove incorrect libXXlibxslt-devel provides

* Thu Apr 10 2008 Götz Waschk <waschk@mandriva.org> 1.1.23-1mdv2009.0
+ Revision: 192541
- new version
- drop patch

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 25 2007 Colin Guthrie <cguthrie@mandriva.org> 1.1.22-2mdv2008.1
+ Revision: 102031
- Fix python binding's applyStylesheet params handling on x86_64 (Gnome bug #489854)

* Mon Sep 03 2007 David Walluck <walluck@mandriva.org> 1.1.22-1mdv2008.0
+ Revision: 78474
- 1.1.22
- version Obsoletes
- fix python-%%{name} %%doc perms

* Wed Aug 15 2007 Adam Williamson <awilliamson@mandriva.org> 1.1.21-2mdv2008.0
+ Revision: 63587
- whoops, finish cleanup
- okay, we really don't need to support 10.1 and earlier any more
- drop explicit requires on libxml2 (it has an auto-generated one anyway)

* Wed Aug 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.21-1mdv2008.0
+ Revision: 60121
- new version
- new devel library policy


* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 1.1.20-2mdv2007.1
+ Revision: 144593
- move API doc in devel package

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Wed Jan 24 2007 Götz Waschk <waschk@mandriva.org> 1.1.20-1mdv2007.1
+ Revision: 112886
- new version

* Thu Dec 14 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.1.19-2mdv2007.1
+ Revision: 97032
- Rebuild

  + David Walluck <walluck@mandriva.org>
    - include source
    - 1.1.19
      rename python package to python-libxslt

* Sat Oct 28 2006 Götz Waschk <waschk@mandriva.org> 1.1.18-1mdv2007.1
+ Revision: 73542
- Import libxslt

* Sat Oct 28 2006 Götz Waschk <waschk@mandriva.org> 1.1.18-1mdv2007.1
- move test to the right stage
- bump deps
- fix source URL
- new version

* Wed Jun 07 2006 Götz Waschk <waschk@mandriva.org> 1.1.17-1mdv2007.0
- bump deps
- source URL
- New release 1.1.17

* Wed May 03 2006 Götz Waschk <waschk@mandriva.org> 1.1.16-1mdk
- New release 1.1.16

* Wed Feb 22 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.15-2mdk
- use mkrel

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 1.1.15-1mdk 
- Release 1.1.15

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 1.1.14-1mdk 
- Release 1.1.14

* Wed Mar 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.12-3mdk
- fix deps and conditional %%multiarch

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.1.12-2mdk
- Rebuild for new python

* Thu Nov 11 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.12-1mdk
- requires new libxml2
- New release 1.1.12

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.11-1mdk
- New release 1.1.11

* Wed Sep 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.10-1mdk
- New release 1.1.10

* Tue Aug 24 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.1.9-1mdk
- New release 1.1.9

* Thu Jul 08 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.8-2mdk
- fix buildrequires

* Wed Jul 07 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.8-1mdk
- reenable libtoolize for cooker
- New release 1.1.8

* Tue Apr 20 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.6-1mdk
- new version

* Sat Apr 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.5-1mdk
- Release 1.1.5

